<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
    <meta charset="utf-8">
    <title>Browser</title>
    <!-- Shared CSS-->
    <!-- <link rel="stylesheet" href="shared/style/headers.css"> -->
    <!-- <link rel="stylesheet" href="shared/style/input_areas.css"> -->
    <!-- <link rel="stylesheet" href="shared/style/status.css"> -->
    <!-- <link rel="stylesheet" href="shared/style/confirm.css"> -->
    <!-- <link rel="stylesheet" href="shared/style/buttons.css"> -->
    <!-- <link rel="stylesheet" href="shared/style/action_menu.css"> -->
    <!-- <link rel="stylesheet" href="style/modal_dialog/modal_dialog.css"> -->
    <!-- <link rel="stylesheet" href="style/modal_dialog/prompt.css"> -->
    <!-- <link rel="stylesheet" href="style/themes/default/core.css"> -->
    <!-- <link rel="stylesheet" href="style/themes/default/buttons.css"> -->

    <!-- Specific style -->
    <link rel="stylesheet" href="shared/style/tabs.css" type="text/css">
    <link rel="stylesheet" href="style/browser.css" type="text/css">
    <link rel="stylesheet" href="style/toolbar.css" type="text/css">

    <!-- Localization -->
    <link rel="resource" type="application/l10n" href="shared/locales/branding.ini">
    <link rel="resource" type="application/l10n" href="locales/locales.ini">
    <!-- Shared code -->
    <script defer src="shared/js/l10n.js"></script>
    <script defer src="shared/js/lazy_loader.js"></script>
    <script defer src="shared/js/font_size_utils.js"></script>
    <script defer src="shared/js/accessibility_helper.js"></script>
    <script defer src="shared/js/mime_mapper.js"></script>
    <script defer src="shared/js/simple_operator_variant_helper.js"></script>
    <script defer src="shared/js/utilities.js"></script>
    <script defer src="shared/js/url_helper.js"></script>
    <script defer src="js/nfc_util.js"></script>
    <!-- <script defer src="shared/js/gesture_detector.js"></script> -->

    <!-- Specific code -->
    <script defer src="js/browser.js"></script>
    <script defer src="js/nfc.js"></script>
    <script defer src="js/browser_db.js"></script>
    <script defer src="js/toolbar.js"></script>

    <!-- Resources -->
    <link rel="resource" type="image/png" href="shared/resources/branding/browser_84.png"/>
    <link rel="resource" type="image/png" href="shared/resources/branding/browser_126.png"/>
    <link rel="resource" type="image/png" href="shared/resources/branding/browser_142.png"/>
    <link rel="resource" type="image/png" href="shared/resources/branding/browser_189.png"/>
    <link rel="resource" type="image/png" href="shared/resources/branding/browser_284.png"/>
    <link rel="resource" type="image/png" href="shared/resources/branding/about_logo.png"/>
  </head>

  <body class="page-screen start-page" role="application">

    <div id="main-screen">

      <menu type="toolbar" id="toolbar-start">
        <form id="url-bar" novalidate>
          <input type="image" id="ssl-indicator" value="" />
          <input type="text" id="url-input" placeholder="Search or enter address"
                 data-l10n-id="enter-search-or-address" x-inputmode="verbatim"
                 dir="auto" />
          <input type="image" id="url-button" value="" />
        </form>
        <span id="tabs-badge"> 1&#x203A;</span>
        <button id="awesomescreen-cancel-button"></button>
        <div id="throbber"></div>
      </menu>

      <div id="frames">

        <div id="startscreen" class="hidden">
          <h1 data-l10n-id="browser">Browser</h1>
          <h2 data-l10n-id="top-sites-startPage">Top Sites</h2>
          <div id="start-screen-top-sites">
            <ul id="top-site-thumbnails">
            </ul>
            <p id="no-top-sites" class="hidden" data-l10n-id="start-browsing">
              Enter a search term or web address to start browsing.
            </p>
          </div>
        </div>

        <div id="awesomescreen">
        <!--
          <nav data-role="tabs" id="tab-headers">
            <ul role="tablist" class="bb-tablist">
              <li role="presentation">
                <a id="top-sites-tab" href="#" class="selected"
                   data-l10n-id="top-sites-tab" role="tab"
                   aria-selected="true" aria-controls="top-sites">Top Sites</a>
              </li>
              <li role="presentation">
                <a id="bookmarks-tab" href="#"
                   data-l10n-id="bookmarks" role="tab"
                   aria-selected="false" aria-controls="bookmarks">Bookmarks</a>
              </li>
              <li role="presentation">
                <a id="history-tab" href="#"
                   data-l10n-id="history" role="tab"
                   aria-selected="false" aria-controls="history">History</a>
              </li>
            </ul>
          </nav>
          <div id="tab-panels">
            <section id="top-sites" role="tabpanel" class="bb-tabpanel selected"
              aria-labelledby="top-sites-tab">
            </section>
            <section id="bookmarks" role="tabpanel" class="bb-tabpanel"
              aria-labelledby="bookmarks-tab">
            </section>
            <section id="history" role="tabpanel" class="bb-tabpanel"
              aria-labelledby="history-tab">
            </section>
          </div>
          <section id="results" class="hidden">
          </section>
        -->
        </div>

        <div id="crashscreen">
        <!--
          <h3 data-l10n-id="this-is-embarrassing">Well, this is embarrassing.</h3>
          <img src="style/images/crashed-tab-icon.png" />
          <p data-l10n-id="not-responding">
            We tried to display this webpage but it's not responding.
          </p>
          <menu type="toolbar">
            <button data-l10n-id="close-tab" id="close-tab">Close Tab</button>
            <button data-l10n-id="reload-tab" id="try-reloading">
              Try Reloading
              </button>
          </menu>
        -->
        </div>

      </div>
    </div>

    <ul id="toolbar-end" class="bb-tablist skin-dark">
      <li role="presentation">
        <button id="back-button" class="icon" disabled="true" alt="Back"></button>
      </li>
      <li role="presentation">
        <button id="forward-button" class="icon" disabled="true" alt="Forward"></button>
      </li>
      <li role="presentation">
        <button id="bookmark-button" class="icon" alt="Bookmark" role="button"></button>
      </li>
      <li role="presentation">
        <button id="share-button" class="icon" alt="Share" role="button"></button>
      </li>
    </ul>

    <div id="tray">
      <!--
      <menu type="toolbar" id="tray-toolbar">
        <button type="button" id="new-tab-button"></button>
        <button type="button" id="settings-button"></button>
      </menu>
      <div id="tabs-list"></div>
      -->
    </div>

    <section id="bookmark-menu" role="dialog" data-type="action" class="hidden">
    <!--
      <menu type="toolbar">
        <button id="bookmark-menu-add" data-l10n-id="bookmark">Bookmark</button>
        <button id="bookmark-menu-remove" data-l10n-id="unbookmark">Unbookmark</button>
        <button id="bookmark-menu-edit" data-l10n-id="edit-bookmark">Edit Bookmark</button>
        <button id="bookmark-menu-add-home" data-l10n-id="add-to-home-screen">Add to Home Screen</button>
        <button id="bookmark-menu-cancel" data-l10n-id="cancel">Cancel</button>
      </menu>
    -->
    </section>

    <section id="bookmark-entry-sheet" role="region" class="hidden skin-organic">
    <!--
      <header>
        <button id="bookmark-entry-sheet-cancel">
          <span class="icon icon-close" data-l10n-id="cancel">Cancel</span>
        </button>
        <menu type="toolbar">
          <button id="bookmark-entry-sheet-done" data-l10n-id="done">Done</button>
        </menu>
        <h1 data-l10n-id="edit-bookmark-header">Edit Bookmark</h1>
      </header>
      <label data-l10n-id="page-title">
        Page Title <input type="text" id="bookmark-title" dir="auto"></input>
      </label>
      <label data-l10n-id="address">
        Address <input type="url" id="bookmark-url"></input>
      </label>
      <input type="hidden" id="bookmark-previous-url"></input>
    -->
    </section>

    <section id="http-authentication-dialog" role="region" class="hidden skin-organic">
    <!--
      <header>
        <button id="http-authentication-cancel">
          <span class="icon icon-close">close</span>
        </button>
        <menu type="toolbar">
          <button id="http-authentication-ok" data-l10n-id="login">Login</button>
        </menu>
        <h1 data-l10n-id="login-to-a-website">Login to a website</h1>
      </header>
      <span id="http-authentication-message"></span>
      <label data-l10n-id="username">Username
        <input type="text" id="http-authentication-username" dir="auto" />
      </label>
      <label data-l10n-id="password">Password
        <input id="http-authentication-password" type="password" />
      </label>
    -->
    </section>

    <div id="modal-dialog">

      <div id="modal-dialog-alert" role="dialog" tabindex="-1">
        <!--
        <div class="modal-dialog-message-container inner">
          <h3 id="modal-dialog-alert-title"></h3>
          <p>
            <span id="modal-dialog-alert-message"></span>
          </p>
        </div>
        <menu>
          <button id="modal-dialog-alert-ok" data-l10n-id="ok" class="affirmative">OK</button>
        </menu>
        -->
      </div>

      <div id="modal-dialog-confirm" role="dialog" tabindex="-1">
        <!--
        <div class="modal-dialog-message-container inner">
          <h3 id="modal-dialog-confirm-title"></h3>
          <p>
            <span id="modal-dialog-confirm-message"></span>
          </p>
        </div>
        <menu data-items="2">
          <button id="modal-dialog-confirm-cancel" data-l10n-id="cancel">Cancel</button>
          <button id="modal-dialog-confirm-ok" data-l10n-id="ok" class="affirmative">OK</button>
        </menu>
        -->
      </div>

      <div id="modal-dialog-prompt" role="dialog" tabindex="-1">
        <!--
        <div class="modal-dialog-message-container inner">
          <h3 id="modal-dialog-prompt-title"></h3>
          <p>
            <span id="modal-dialog-prompt-message"></span>
            <input id="modal-dialog-prompt-input" />
          </p>
        </div>
        <menu data-items="2">
          <button id="modal-dialog-prompt-cancel" data-l10n-id="cancel">Cancel</button>
          <button id="modal-dialog-prompt-ok" data-l10n-id="ok" class="affirmative">OK</button>
        </menu>
        -->
      </div>

      <div id="modal-dialog-custom-prompt" role="dialog" tabindex="-1">
        <!--
        <div class="modal-dialog-message-container inner">
          <h3 id="modal-dialog-custom-prompt-title"></h3>
          <p><span id="modal-dialog-custom-prompt-message"></span></p>
          <label class="pack-checkbox">
            <input id="modal-dialog-custom-prompt-checkbox" type="checkbox" />
            <span></span>
          </label>
        </div>
        <menu id="modal-dialog-custom-prompt-buttons"></menu>
        -->
      </div>

    </div>

    <section role="region" id="settings" class="skin-organic">
    <!--
      <header id="settings-header">
        <menu type="toolbar">
          <button id="settings-done-button" role="menuitem" data-l10n-id="done">Done</button>
        </menu>
        <h1 data-l10n-id="browser-settings">Browser Settings</h1>
      </header>
      <header>
        <h2 data-l10n-id="privacy-and-security">Privacy & Security</h2>
      </header>
      <ul>
        <li>
          <button id="clear-history-button"
          data-l10n-id="clear-browsing-history">Clear browsing history</button>
        </li>
        <li>
          <button id="clear-private-data-button"
          data-l10n-id="clear-cookies-and-stored-data">Clear cookies and stored data</button>
        </li>
      </ul>
      <header id="search-engine-heading" class="hidden">
        <h2 data-l10n-id="search-engines">Search Engines</h2>
      </header>
      <ul id="search-engine-section" class="hidden">
        <li>
          <p data-l10n-id="default-search-engine">Default search engine</p>
          <span class="fake-select">
            <button id="search-engine-button" class="icon icon-dialog">...</button>
            <select id="search-engine-select">
            </select>
          </span>
        </li>
      </ul>
    -->
    </section>

    <section id="save-media-status" role="status">
      <p> </p>
    </section>

    <form role="dialog" id="danger-dialog" data-type="confirm"
      tabindex="-1" hidden>
      <!--
        <section>
          <p><span id="danger-dialog-message"></span></p>
        </section>
        <menu>
          <button id="danger-dialog-cancel" data-l10n-id="cancel">Cancel</button>
          <button id="danger-dialog-ok" data-l10n-id="ok" class="danger">OK</button>
        </menu>
      -->
    </form>

  </body>

</html>
